# DescribeNetworkInterfacePublicIPv6

## 1. 接口描述

本接口(DescribeNetworkInterfacePublicIPv6)用于查询指定弹性网卡（vNIC）上已分配的公网 IPv6 地址及其计费、带宽配置信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称  | 必选 | 类型     | 描述    |
| ----- | -- | ------ | ----- |
| nicId | 是  | String | 网卡ID。 |

## 3. 响应结果

| 参数名称      | 类型                                                                                                                      | 描述                                                       |
| --------- | ----------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                                                                  | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| address   | [PublicIpv6CidrAddress](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#publicipv6cidraddress) | <p>公网IPv6信息。</p><p>网卡如果没有公网IPv6,则取值为空。</p>               |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**查询网卡上的公网IPv6信息。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeNetworkInterfacePublicIPv6
<Common Request Params>

Request：
{
    "nicId": "<nicId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "address": {
      "ipv6CidrId": "<ipv6CidrId>",
      "ipv6Cidr": "2a0b:21c1:xx:xx:0:2::/96",
      "primaryIpv6Address": "2a0b:21c1:xx:xx:0:2::2",
      "internetChargeType": "ByBandwidthCluster",
      "bandwidth": 100,
      "trafficPackageSize": null,
      "bandwidthCluster": {
        "bandwidthClusterId": "<bandwidthClusterId>",
        "bandwidthClusterName": "Test",
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                      | 说明     |
| ------- | ------------------------ | ------ |
| 404     | INVALID\_NIC\_NOT\_FOUND | 网卡不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vnic/describenetworkinterfacepublicipv6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
